/**
 * @file
 * Webform Browserinfo behaviors.
 */
(function (Drupal, once) {
  Drupal.behaviors.webformBrowserinfoWebformBrowserinfo = {
    attach(context) {
      once('webform-browserinfo', '.webform-browserinfo', context).forEach(
        (element) => {
          const browserInfo = {
            userAgent: window.navigator.userAgent,
            language: window.navigator.language,
            windowSize: `${window.innerWidth}x${window.innerHeight}`,
            screenSize: `${window.screen.width}x${window.screen.height}`,
            jsEnabled: true,
            cookiesEnabled: window.navigator.cookieEnabled,
          };

          element.value = '';
          Object.keys(browserInfo).forEach((key) => {
            element.value += `${key}: ${browserInfo[key]}\n`;
          });
        },
      );
    },
  };
})(Drupal, once);
